import { renderless, api } from "@dftvue2-opentiny/vue-renderless/action-sheet/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { IconClose } from "@dftvue2-opentiny/vue-icon";
import Button from "@dftvue2-opentiny/vue-button";
import Drawer from "@dftvue2-opentiny/vue-drawer";
import BScroll from "@better-scroll/core";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    TinyButton: Button,
    TinyDrawer: Drawer,
    IconClose: IconClose()
  },
  props: [].concat(props, ["modelValue", "visible", "title", "showHeader", "showFooter", "customClass", "menus", "type", "mask", "maskClosable"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api,
      extendOptions: {
        BScroll
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "text-sm",
    attrs: {
      "data-tag": "tiny-action-sheet"
    }
  }, [_c("tiny-drawer", {
    ref: "drawer",
    attrs: {
      "title": _vm.title,
      "mask": _vm.mask,
      "mask-closable": _vm.maskClosable,
      "show-header": false,
      "custom-class": _vm.m("max-h-[95%] rounded-t-lg", {
        "min-h-[15.625rem]": _vm.type !== "action"
      }, {
        "py-4": _vm.showHeader && _vm.type !== "action"
      }, _vm.customClass),
      "placement": "bottom",
      "visible": _vm.visible
    },
    on: {
      "update:visible": function updateVisible($event) {
        return _vm.$emit("update:visible", $event);
      }
    }
  }, [_vm.showHeader && _vm.type !== "action" ? _c("div", {
    ref: "header",
    staticClass: "flex leading-6 pb-4 px-4 text-base items-center",
    attrs: {
      "data-tag": "action-sheet-header"
    }
  }, [_c("div", {
    staticClass: "flex-1 flex items-center text-left"
  }, [_vm._t("header-left")], 2), _c("div", {
    staticClass: "min-w-[50%] max-w-[80%] px-4 text-center truncate"
  }, [_vm._v(_vm._s(_vm.title))]), _c("div", {
    staticClass: "flex-1 flex items-center justify-end"
  }, [_vm._t("header-right", function() {
    return [_c("IconClose", {
      attrs: {
        "custom-class": "h-5 w-5 cursor-pointer"
      },
      on: {
        "click": _vm.close
      }
    })];
  })], 2)]) : _vm._e(), _c("div", {
    ref: "body",
    staticClass: "flex-auto overflow-auto",
    attrs: {
      "data-tag": "action-sheet-body"
    }
  }, [_vm.type === "action" ? [_c("div", {
    staticClass: "flex flex-col h-full text-center",
    attrs: {
      "data-tag": "action-box"
    }
  }, [_vm.title ? _c("div", {
    staticClass: "flex-none flex items-center justify-center py-2.5 leading-5 text-sm text-color-none-hover border-b-0.5 border-color-bg-2",
    attrs: {
      "data-tag": "action-title"
    }
  }, [_c("span", {
    staticClass: "px-4"
  }, [_vm._v(_vm._s(_vm.title))])]) : _vm._e(), _c("div", {
    staticClass: "flex-auto min-h-[3.5rem]"
  }, _vm._l(_vm.menus, function(item, index) {
    return _c("div", {
      key: index,
      staticClass: "flex-none flex items-center justify-center h-14 text-base border-b-0.5 border-color-bg-2 cursor-pointer",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.actionSelectOption(item, index);
        }
      }
    }, [_vm._t("default", function() {
      return [_c("span", {
        staticClass: "truncate px-4"
      }, [_vm._v(_vm._s(item))])];
    }, {
      "data": item,
      "index": index
    })], 2);
  }), 0), _c("div", {
    staticClass: "flex-none flex items-center justify-center h-16 text-base border-t-8 border-color-bg-2 px-4 cursor-pointer",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.close.apply(null, arguments);
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.base.cancel")) + " ")])])] : [_vm._t("default")]], 2), _vm.showFooter ? _c("div", {
    ref: "footer",
    staticClass: "flex px-3 pt-2 justify-center",
    attrs: {
      "data-tag": "action-sheet-footer"
    }
  }, [_vm._t("footer", function() {
    return [_c("tiny-button", {
      staticClass: "flex-1",
      attrs: {
        "tiny_mode": "mobile-first",
        "type": "primary"
      },
      on: {
        "click": _vm.confirm
      }
    }, [_vm._v(_vm._s(_vm.t("ui.button.confirm")))])];
  })], 2) : _vm._e()])], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
